Bug 4514 - Master 2.4 beta - xcdroast compiled without "non-root"
: Master 2.4 beta - xcdroast compiled without "non-root"
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xcdroast)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-06-28 09:29 by
Modified: 2005-07-13 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-28 09:29:16
В Master 2.4 beta попала версия пакета xcdroast, который при первом же запуске
говорит, что будет работать только от root, поскольку собран без поддержки
режима "non-root". в Master 2.2 он же предлагал в этот момент "сконфигурировать
работу в режиме non-root". я думаю, что надо этот режим вернуть - зачем его все
время запускать только от root, вручную??
Steps to Reproduce:
1.install and run xcdroast
2. see message
3.
------- Comment #1 From 2004-06-28 10:11:40 -------
Режим non-root был специально выключен, причём уже довольно давно. При
включенном режиме non-root требуется обязательный запуск от root для допуска к
нему других пользователей. При текущей конфигурации этого не требуется.
Достаточно просто внести пользователя в группу cdwriter.
------- Comment #2 From 2004-07-05 11:05:21 -------
*** Bug 4673 has been marked as a duplicate of this bug. ***
------- Comment #3 From 2004-07-05 19:16:06 -------
Дело в том, что запуская xcdroast от пользователя, который _внесен_ в группу
cdwriter, получаешь сообщение: 

"... Вам не удастся ее использовать без дополнительных ухищрений. Рекондуется
установить полнофункциональную версию." (с опечатками).

После этого программа запустится, но записывать стоящие денег болванки после
таких предупреждений ей не очень хочется.

1) Сообщение не должно появляться, если пользователь имеет достаточный доступ к
устройству записи.
2) Нужно изменить текст выводимого сообщения, чтобы не пугать пользователя, а
объяснить ситуацию и необходимость членства в группе.
------- Comment #4 From 2004-07-08 11:53:24 -------
Fixed in xcdroast-0.98alpha15-alt4.